#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 5 January 2010                                                      *
#                                                                            *
#*****************************************************************************

.first
	define pango [--.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")\
	/include=([],[--],[--.pango])

.c.obj
	copy [--]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

OBJS_FC=indic-fc.obj,indic-ot-class-tables.obj,\
indic-ot.obj,mprefixups.obj

all :
	$(MMS)$(MMSQUALIFIERS) pango-indic-fc.exe
	copy pango-indic-fc.exe gnome$root:[share.pango.1_16_0.modules]

pango-indic-fc.exe : $(OBJS_FC) [-]vmslib.opt [--]libpango.exe
	@ WRITE_ SYS$OUTPUT "  generating pango-indic.opt"
	@ OPEN_/WRITE FILE  pango-indic.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! pango-indic.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""indic-fc"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,1,2
	@ WRITE_ FILE "$(OBJS_FC)"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning pango-indic_vms
	@ WRITE_ SYS$OUTPUT "  linking pango-indic-fc.exe ..."
	@ LINK_/NODEB/SHARE=pango-indic-fc.exe/MAP=pango-indic.map/FULL pango-indic.opt/opt,pango-indic_vms.opt/opt,[-]vmslib.opt/opt

pango-indic_vms :
	@ WRITE_ SYS$OUTPUT "  generating pango-indic.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=pango-indic.map/FULL pango-indic.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing pango-indic.map ..."
	@ @[--]ANALYZE_MAP.COM pango-indic.map pango-indic_vms.opt

indic-ot-class-tables.obj indic-ot-class-tables.o : \
	indic-ot-class-tables.c indic-ot.h_vms [--.pango]pango-glyph.h \
	[--.pango]pango-types.h [--.pango]pango-item.h
indic-ot.obj indic-ot.o : indic-ot.c indic-ot.h_vms [--.pango]pango-glyph.h \
	[--.pango]pango-types.h [--.pango]pango-item.h
indic-fc.obj indic-fc.o : indic-fc.c indic-ot.h_vms \
	[--.pango]pango-glyph.h [--.pango]pango-types.h \
	[--.pango]pango-item.h \
	[--.pango]pango-context.h [--.pango]pango-font.h \
	[--.pango]pango-coverage.h [--.pango]pango-fontmap.h \
	[--.pango]pango-fontset.h [--.pango]pango-attributes.h \
	[--.pango]pango-ot.h [--.pango]pango-engine.h \
	[--.pango]pango-utils.h
mprefixups.obj : mprefixups.c

indic-ot.h_vms : indic-ot.h
	pipe gsed -e "s/(int)0x80000000/INT_MAX/" < indic-ot.h > indic-ot.h_vms
        set file/enter=indic-ot.h indic-ot.h_vms
