#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 5 January 2010                                                      *
#                                                                            *
#*****************************************************************************

.first
	define pango [-.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-],[-.pango])\
	/warn=disable=(MISSINGRETURN)

.c.obj
	copy [-]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

all :
	$(MMS)$(MMSQUALIFIERS) pango-view.exe
	$(MMS)$(MMSQUALIFIERS) pangocairo-view.exe
	$(MMS)$(MMSQUALIFIERS) pangox-view.exe
	$(MMS)$(MMSQUALIFIERS) pangoft2-view.exe
	$(MMS)$(MMSQUALIFIERS) pangoxft-view.exe
	
pango-view.exe : pango-view.obj viewer-main.obj viewer-render.obj\
	viewer-pangocairo.obj viewer-cairo.obj viewer-x.obj vmslib.opt\
	[-]libpango.exe
	link/exec=pango-view.exe pango-view.obj,viewer-main.obj,\
	viewer-render.obj,viewer-pangocairo.obj,viewer-cairo.obj,viewer-x.obj,\
	vmslib.opt/opt

pangocairo-view.exe : viewer-main.obj viewer-render.obj pango-view.obj\
	viewer-pangocairo.obj viewer-cairo.obj viewer-x.obj vmslib.opt\
	[-]libpango.exe
	link/exec=pangocairo-view.exe viewer-main.obj,pango-view.obj,\
	viewer-render.obj,viewer-pangocairo.obj,viewer-cairo.obj,viewer-x.obj,\
	vmslib.opt/opt

pangoft2-view.exe : viewer-main.obj viewer-render.obj pango-view.obj\
	viewer-pangoft2.obj viewer-pangocairo.obj viewer-cairo.obj vmslib.opt\
	[-]libpango.exe
	link/exec=pangoft2-view.exe viewer-main.obj,pango-view.obj,\
	viewer-render.obj,viewer-pangoft2.obj,viewer-pangocairo.obj,\
	viewer-cairo.obj,vmslib.opt/opt

pangox-view.exe : viewer-main.obj viewer-render.obj pango-view.obj\
	viewer-pangox.obj,viewer-x.obj viewer-pangocairo.obj viewer-cairo.obj\
	vmslib.opt [-]libpango.exe
	link/exec=pangox-view.exe viewer-main.obj,pango-view.obj,\
	viewer-render.obj,viewer-pangox.obj,viewer-x.obj,\
	viewer-pangocairo.obj,viewer-cairo.obj,vmslib.opt/opt

pangoxft-view.exe : viewer-main.obj viewer-render.obj pango-view.obj\
	viewer-pangoxft.obj viewer-x.obj viewer-pangocairo.obj\
	viewer-cairo.obj vmslib.opt [-]libpango.exe
	link/exec=pangoxft-view.exe viewer-main.obj,pango-view.obj,\
	viewer-render.obj,viewer-pangoxft.obj,viewer-x.obj,\
	viewer-pangocairo.obj,viewer-cairo.obj,vmslib.opt/opt

viewer-render.obj : viewer-render.c
viewer-main.obj : viewer-main.c
pango-view.obj : pango-view.c
viewer-pangocairo.obj : viewer-pangocairo.c
viewer-cairo.obj : viewer-cairo.c
viewer-x.obj : viewer-x.c
viewer-pangox.obj : viewer-pangox.c
viewer-pangoft2.obj : viewer-pangoft2.c
viewer-pangoxft.obj : viewer-pangoxft.c
