#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 4 January 2010                                                      *
#                                                                            *
#*****************************************************************************

.first
	define pango [-.pango]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/reent=multi\
	/define=("HAVE_CONFIG_H=1")/include=([],[-])\
	/warn=disable=(PTRMISMATCH,PTRMISMATCH1,MISSINGRETURN)

.c.obj
	copy [-]vms.h,[]$(MMS$TARGET_NAME).c $(MMS$TARGET_NAME).c_
	cc $(CFLAGS) $(MMS$TARGET_NAME).c_
	delete $(MMS$TARGET_NAME).c_;*

OBJS=break.obj,fonts.obj,glyphstring.obj,\
modules.obj,pango-attributes.obj,pango-color.obj,pango-context.obj,\
pango-coverage.obj,pango-fontmap.obj,pango-fontset.obj,pango-glyph-item.obj,\
pango-item.obj,pango-layout.obj,pango-markup.obj,\
pango-tabs.obj,pango-utils.obj,reorder-items.obj,shape.obj,\
pango-enum-types.obj,pango-engine.obj,pango-script.obj,ellipsize.obj,\
pango-renderer.obj,pango-ot-buffer.obj,pango-ot-info.obj,\
pango-ot-ruleset.obj,pango-gravity.obj,pango-language.obj,pango-matrix.obj,\
pango-ot-tag.obj,module-defs-lang.obj,pango-bidi-type.obj

OBJS_X=module-defs-x.obj,pangox.obj,\
pangox-fontcache.obj,pangox-fontmap.obj

OBJS_XFT=pangoxft-font.obj,pangoxft-fontmap.obj,\
module-defs-xft.obj,pangofc-font.obj,pangofc-fontmap.obj,module-defs-fc.obj,\
pangofc-decoder.obj,pangoxft-render.obj

OBJS_FT2=pangoft2.obj,pangoft2-fontmap.obj,\
module-defs-ft2.obj,pangoft2-render.obj

OBJS_CAIRO=pangocairo-fcfont.obj,pangocairo-fcfontmap.obj,pangocairo-font.obj,\
	pangocairo-fontmap.obj,pangocairo-render.obj,pangocairo-context.obj

pango_headers =\
	pango.h		   \
	pango-attributes.h \
	pango-break.h	   \
	pango-context.h	   \
	pango-coverage.h   \
	pango-engine.h	   \
	pango-font.h       \
	pango-fontmap.h	   \
	pango-fontset.h    \
	pango-glyph.h	   \
	pango-glyph-item.h \
	pango-gravity.h    \
	pango-item.h	   \
	pango-layout.h	   \
	pango-matrix.h     \
	pango-modules.h	   \
	pango-renderer.h   \
	pango-script.h	   \
	pango-tabs.h	   \
	pango-types.h	   \
	pango-utils.h	   \
	pangofc-font.h	   \
	pangofc-fontmap.h

all :
	$(MMS)$(MMSQUALIFIERS) $(OBJS)
	library/create [-]libpango.olb $(OBJS)
	$(MMS)$(MMSQUALIFIERS) $(OBJS_X)
	library/create [-]libpangox.olb $(OBJS_X)
	$(MMS)$(MMSQUALIFIERS) $(OBJS_XFT)
	library/create [-]libpangoxft.olb $(OBJS_XFT)
	$(MMS)$(MMSQUALIFIERS) $(OBJS_FT2)
	library/create [-]libpangoft2.olb $(OBJS_FT2)
	$(MMS)$(MMSQUALIFIERS) $(OBJS_CAIRO)
	library/create [-]libpangocairo.olb  $(OBJS_CAIRO)
	set default [.opentype]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.mini-fribidi]
	$(MMS)$(MMSQUALIFIERS)
	set def [-]
	$(MMS)$(MMSQUALIFIERS) pango-querymodules.exe

$(OBJS) : module-defs.h [-]config.h 

pango.modules : pango-querymodules.exe
	$(MMS)$(MMSQUALIFIERS) pango-querymodules.exe
	pipe run pango-querymodules.exe > pango.modules
	copy pango.modules gnome$root:[config.pango]

pango-querymodules.exe : querymodules.obj vms_link.opt [-]libpango.olb\
	[-]libmini_fribidi.olb
	link/exec=pango-querymodules.exe querymodules.obj,[-]libpango.olb/lib,\
	[-]libmini_fribidi.olb/lib,[]vms_link/opt

pango-enum-types.h : $(pango-headers) descrip.mms
	pipe perl gnome$root:[perl]glib-mkenums.pl \
			--fhead "#ifndef __PANGO_ENUM_TYPES_H__\n#define __PANGO_ENUM_TYPES_H__\n\n#include <glib-object.h>\n\nG_BEGIN_DECLS\n" \
			--fprod "/* enumerations from ""@filename@"" */\n" \
			--vhead "GType @enum_name@_get_type (void);\n#define PANGO_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n" 	\
			--ftail "G_END_DECLS\n\n#endif /* __PANGO_ENUM_TYPES_H__ */" \
		$(pango_headers) > pango-enum-types.h \

pango-enum-types.c : $(pango-headers) descrip.mms
	pipe perl gnome$root:[perl]glib-mkenums.pl \
			--fhead "#include <pango.h>" \
			--fprod "\n/* enumerations from ""@filename@"" */" \
			--vhead "GType\n@enum_name@_get_type (void)\n{\n  static GType etype = 0;\n  if (etype == 0) {\n    static const G@Type@Value values[] = {" 	\
			--vprod "      { @VALUENAME@, ""@VALUENAME@"", ""@valuenick@"" }," \
			--vtail "      { 0, NULL, NULL }\n    };\n    etype = g_@type@_register_static (""@EnumName@"", values);\n  }\n  return etype;\n}\n" \
		$(pango_headers) > pango-enum-types.c \

module-defs-ft2.c :  module-defs-ft2.c_vms
	copy module-defs-ft2.c_vms module-defs-ft2.c

module-defs-xft.c :  module-defs-xft.c_vms
	copy module-defs-xft.c_vms module-defs-xft.c

module-defs-fc.c :  module-defs-fc.c_vms
	copy module-defs-fc.c_vms module-defs-fc.c

module-defs-x.c :  module-defs-x.c_vms
	copy module-defs-x.c_vms module-defs-x.c

module-defs.h :  module-defs.h_vms
	copy module-defs.h_vms module-defs.h

modules.h :  modules.h_vms
	copy modules.h_vms modules.h

break.obj break.o : break.c pango-break.h pango-item.h pango-types.h \
	pango-modules.h pango-engine.h pango-font.h pango-coverage.h \
	pango-glyph.h pango-enum-types.h pango-features.h
fonts.obj fonts.o : fonts.c pango-types.h pango-font.h pango-coverage.h \
	pango-types.h pango-fontmap.h pango-font.h pango-fontset.h \
	pango-utils.h pango-enum-types.h pango-features.h
glyphstring.obj glyphstring.o : glyphstring.c pango-glyph.h pango-types.h \
	pango-item.h pango-font.h pango-coverage.h
module-defs-ft2.obj module-defs-ft2.o : module-defs-ft2.c module-defs.h \
	modules.h pango-engine.h pango-types.h pango-item.h \
	pango-font.h pango-coverage.h pango-glyph.h pango-modules.h
module-defs-x.obj module-defs-x.o : module-defs-x.c module-defs.h \
	modules.h pango-engine.h pango-types.h pango-item.h \
	pango-font.h pango-coverage.h pango-glyph.h pango-modules.h
module-defs-xft.obj module-defs-xft.o : module-defs-xft.c module-defs.h \
	modules.h pango-engine.h pango-types.h pango-item.h \
	pango-font.h pango-coverage.h pango-glyph.h pango-modules.h
module-defs-fc.obj module-defs-fc.o : module-defs-fc.c module-defs.h \
	modules.h pango-engine.h pango-types.h pango-item.h \
	pango-font.h pango-coverage.h pango-glyph.h pango-modules.h
modules.obj modules.o : modules.c [-]config.h pango-modules.h \
	pango-engine.h pango-types.h pango-item.h pango-font.h \
	pango-coverage.h pango-glyph.h pango-utils.h pango-enum-types.h
pango-attributes.obj pango-attributes.o : pango-attributes.c \
	pango-attributes.h pango-font.h pango-coverage.h pango-types.h \
	pango-utils.h
pango-color.obj pango-color.o : pango-color.c pango-attributes.h \
	pango-font.h pango-coverage.h pango-types.h
pango-context.obj pango-context.o : pango-context.c pango-context.h \
	pango-font.h pango-coverage.h pango-types.h pango-fontmap.h \
	pango-fontset.h pango-attributes.h pango-utils.h \
	pango-modules.h pango-engine.h pango-item.h pango-glyph.h
pango-coverage.obj pango-coverage.o : pango-coverage.c pango-coverage.h
pango-enum-types.obj pango-enum-types.o : pango-enum-types.c pango.h \
	pango-attributes.h pango-font.h pango-coverage.h pango-types.h \
	pango-break.h pango-item.h pango-context.h pango-fontmap.h \
	pango-fontset.h pango-engine.h pango-glyph.h pango-enum-types.h \
	pango-layout.h pango-glyph-item.h pango-tabs.h
pango-fontmap.obj pango-fontmap.o : pango-fontmap.c pango-fontmap.h \
	pango-font.h pango-coverage.h pango-types.h pango-fontset.h \
	pango-utils.h
pango-fontset.obj pango-fontset.o : pango-fontset.c pango-types.h \
	pango-font.h pango-coverage.h pango-types.h pango-fontset.h \
	pango-utils.h pango-font.h
pango-glyph-item.obj pango-glyph-item.o : pango-glyph-item.c \
	pango-glyph-item.h pango-attributes.h pango-font.h \
	pango-coverage.h pango-types.h pango-item.h pango-glyph.h
pango-item.obj pango-item.o : pango-item.c pango-attributes.h \
	pango-font.h pango-coverage.h pango-types.h pango-item.h
pango-layout.obj pango-layout.o : pango-layout.c pango-glyph.h \
	pango-types.h pango-item.h pango-layout.h pango-attributes.h \
	pango-font.h pango-coverage.h pango-context.h pango-fontmap.h \
	pango-fontset.h pango-glyph-item.h pango-tabs.h pango-break.h \
	pango-engine.h
pango-markup.obj pango-markup.o : pango-markup.c pango-attributes.h \
	pango-font.h pango-coverage.h pango-types.h pango-utils.h
pango-tabs.obj pango-tabs.o : pango-tabs.c pango-tabs.h pango-types.h
pango-utils.obj pango-utils.o : pango-utils.c [-]config.h pango-font.h \
	pango-coverage.h pango-types.h pango-utils.h pango-font.h
pangofc-fontmap.obj : pangofc-fontmap.c
pangoft2-fontmap.obj pangoft2-fontmap.o : pangoft2-fontmap.c [-]config.h \
	pango-fontmap.h pango-font.h pango-coverage.h pango-types.h \
	pango-fontset.h pango-utils.h pangoft2-private.h \
	pango-modules.h pango-engine.h pango-item.h pango-glyph.h \
	pangoft2.h pango-layout.h pango-attributes.h pango-context.h \
	pango-fontmap.h pango-glyph-item.h pango-tabs.h modules.h \
	pango-modules.h
pangoft2.obj pangoft2.o : pangoft2.c [-]config.h pango-utils.h \
	pango-font.h pango-coverage.h pango-types.h pangoft2.h \
	pango-layout.h pango-attributes.h pango-context.h \
	pango-fontmap.h pango-fontset.h pango-glyph-item.h pango-item.h \
	pango-glyph.h pango-tabs.h pangoft2-private.h pango-modules.h \
	pango-engine.h
pangox-fontcache.obj pangox-fontcache.o : pangox-fontcache.c pangox.h \
	pango-layout.h pango-attributes.h pango-font.h pango-coverage.h \
	pango-types.h pango-context.h pango-fontmap.h pango-fontset.h \
	pango-glyph-item.h pango-item.h pango-glyph.h pango-tabs.h
pangox-fontmap.obj pangox-fontmap.o : pangox-fontmap.c pango-fontmap.h \
	pango-font.h pango-coverage.h pango-types.h pango-fontset.h \
	pango-utils.h pangox-private.h pango-modules.h pango-engine.h \
	pango-item.h pango-glyph.h pangox.h pango-layout.h \
	pango-attributes.h pango-context.h pango-fontmap.h \
	pango-glyph-item.h pango-tabs.h
	copy [-]vms.h,[]pangox-fontmap.c pangox-fontmap.c_
	cc $(CFLAGS) pangox-fontmap.c_
	delete pangox-fontmap.c_;*
pangox.obj pangox.o : pangox.c pangox.h pango-layout.h pango-attributes.h \
	pango-font.h pango-coverage.h pango-types.h pango-context.h \
	pango-fontmap.h pango-fontset.h pango-glyph-item.h pango-item.h \
	pango-glyph.h pango-tabs.h pango-utils.h pangox-private.h \
	pango-modules.h pango-engine.h modules.h \
	pango-modules.h [-]config.h
pangoxft-font.obj pangoxft-font.o : pangoxft-font.c [-]config.h \
	pangoxft-private.h pangoxft.h_vms pango-context.h pango-font.h \
	pango-coverage.h pango-types.h pango-fontmap.h pango-fontset.h \
	pango-attributes.h pango-ot.h pango-glyph.h pango-item.h \
	pango-ot.h pango-layout.h pango-glyph-item.h pango-tabs.h \
	pango-modules.h pango-engine.h pango-utils.h
pangofc-font.obj : pangofc-font.c
pangoxft-fontmap.obj pangoxft-fontmap.o : pangoxft-fontmap.c \
	pango-fontmap.h pango-font.h pango-coverage.h pango-types.h \
	pango-fontset.h pangoxft.h_vms pango-context.h pango-fontmap.h \
	pango-attributes.h pango-ot.h pango-glyph.h pango-item.h \
	pangoxft-private.h pango-ot.h modules.h pango-engine.h \
	pango-modules.h
	copy [-]vms.h,[]pangoxft-fontmap.c pangoxft-fontmap.c_
	cc $(CFLAGS) pangoxft-fontmap.c_
	delete pangoxft-fontmap.c_;*
querymodules.obj : querymodules.c [-]config.h pango-break.h pango-item.h \
	pango-types.h pango-context.h pango-font.h pango-coverage.h \
	pango-fontmap.h pango-fontset.h pango-attributes.h \
	pango-utils.h pango-engine.h pango-glyph.h
reorder-items.obj reorder-items.o : reorder-items.c pango-glyph.h \
	pango-types.h pango-item.h
shape.obj shape.o : shape.c pango-glyph.h pango-types.h pango-item.h \
	pango-engine.h pango-font.h pango-coverage.h
pango-engine.obj : pango-engine.c
pango-script.obj : pango-script.c
pango-renderer.obj : pango-renderer.c pango-renderer.h

pangoxft.h_vms : pangoxft.h
	pipe gsed -e "s/X11\/Xft/Xft/" < pangoxft.h > pangoxft.h_vms
	set file/enter=pangoxft.h pangoxft.h_vms

pangoft2-render.obj : pangoft2-render.c
ellipsize.obj : ellipsize.c
pangofc-decoder.obj : pangofc-decoder.c
pangoxft-render.obj : pangoxft-render.c

pangocairo-fcfont.obj : pangocairo-fcfont.c
	copy [-]vms.h,[]pangocairo-fcfont.c pangocairo-fcfont.c_
	cc $(CFLAGS)/nowarn pangocairo-fcfont.c_
	delete pangocairo-fcfont.c_;*

pangocairo-fcfontmap.obj : pangocairo-fcfontmap.c
pangocairo-font.obj : pangocairo-font.c
pangocairo-fontmap.obj : pangocairo-fontmap.c
pangocairo-render.obj : pangocairo-render.c
pango-ot-buffer.obj : pango-ot-buffer.c
pango-ot-info.obj : pango-ot-info.c
pango-ot-ruleset.obj : pango-ot-ruleset.c
pangocairo-context.obj : pangocairo-context.c
pango-gravity.obj : pango-gravity.c
pango-language.obj : pango-language.c
pango-matrix.obj : pango-matrix.c
pango-ot-tag.obj : pango-ot-tag.c
module-defs-lang.obj : module-defs-lang.c

pango-features.h : pango-features.h_vms
	copy pango-features.h_vms pango-features.h

module-defs-lang.c : module-defs-lang.c_vms
	copy module-defs-lang.c_vms module-defs-lang.c

pango-bidi-type.obj : pango-bidi-type.c
